using System;
using System.Collections;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.IO;
using System.Text;
using System.Web.Services.Description;
/// <summary>
/// Summary description for CallBackService
/// </summary>
[WebService(Namespace = "յĵַ")]
[SoapDocumentService(RoutingStyle = SoapServiceRoutingStyle.RequestElement, Use = SoapBindingUse.Literal)]
[WebServiceBinding(ConformsTo = WsiProfiles.None)]
public class CallBackService : System.Web.Services.WebService {

    public CallBackService () {

    }

    /// <remarks/>
    [WebMethod]
    [SoapRpcMethod(Action = "NotifyStatus", RequestNamespace = "", Use = SoapBindingUse.Literal)]
    public string NotifyStatus(int eventID, string sessionID, int res, string para1)
    {

        return addLog(eventID.ToString() + "," + sessionID + "," + res.ToString() + "," + para1);
        
  		
    }

	[WebMethod]
    [SoapRpcMethod(Action = "", RequestNamespace = "", Use = SoapBindingUse.Literal)]
    public string RecvSMS(string caller, string time, string cont, string ucNum)
    {
        string str = addLog(" RecvSMS Caller:" + caller + " time:" + time + " cout:" + cont + " ucNum:" + ucNum);
        return "0";
    }
   
    [WebMethod]
    [SoapRpcMethod(RequestNamespace = "", Use = SoapBindingUse.Literal)]
    public string EchoOfSendSMS(string ucNum, string cee, int msgid, int res, string recvt)
    {
        return addLog(ucNum.ToString() + "," + cee + "," + msgid.ToString() + "," + res.ToString() + "," + recvt);
    }


   
    private string addLog(string LogMsg)
    {
            string s = DateTime.Now.ToString() + " : " + LogMsg;
            string logname = DateTime.Now.Year.ToString() + "_" + DateTime.Now.Month.ToString() + "_" + DateTime.Now.Day.ToString();	
            string filename = "D:\\"+logname+".log";
            StreamWriter logwriter = new StreamWriter(filename, true, Encoding.GetEncoding("gb2312"));
            logwriter.Write(s);
            logwriter.Write("\r\n");
            logwriter.Flush();
            logwriter.Close();
            return "ok";
    }

   
    
}

